﻿using Microsoft.EntityFrameworkCore;
using Mirea.Api.DataAccess.Application.Interfaces.DbContexts.Schedule;
using Mirea.Api.DataAccess.Domain.Schedule;
using Mirea.Api.DataAccess.Persistence.Common;
using System.Reflection;

namespace Mirea.Api.DataAccess.Persistence.Contexts.Schedule;

public class CampusDbContext(DbContextOptions<CampusDbContext> options) : BaseDbContext<CampusDbContext>(options), ICampusDbContext
{
    public DbSet<Campus> Campuses { get; set; } = null!;

    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
        modelBuilder.ApplyConfigurationsFromAssembly(Assembly.GetExecutingAssembly());
        base.OnModelCreating(modelBuilder);
    }
}