﻿using Microsoft.EntityFrameworkCore;
using Mirea.Api.DataAccess.Application.Interfaces.DbContexts.Schedule;
using Mirea.Api.DataAccess.Domain.Schedule;
using Mirea.Api.DataAccess.Persistence.Common;
using System.Reflection;

namespace Mirea.Api.DataAccess.Persistence.Contexts.Schedule;

public sealed class LessonDbContext(DbContextOptions<LessonDbContext> options) : BaseDbContext<LessonDbContext>(options), ILessonDbContext
{
    public DbSet<Lesson> Lessons { get; set; } = null!;

    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
        modelBuilder.ApplyConfigurationsFromAssembly(Assembly.GetExecutingAssembly());
        base.OnModelCreating(modelBuilder);
    }
}