﻿using Microsoft.EntityFrameworkCore;
using Mirea.Api.DataAccess.Application.Interfaces.DbContexts.Schedule;
using Mirea.Api.DataAccess.Domain.Schedule;
using Mirea.Api.DataAccess.Persistence.Common;
using System.Reflection;

namespace Mirea.Api.DataAccess.Persistence.Contexts.Schedule;

public sealed class ProfessorDbContext(DbContextOptions<ProfessorDbContext> options) : BaseDbContext<ProfessorDbContext>(options), IProfessorDbContext
{
    public DbSet<Professor> Professors { get; set; } = null!;

    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
        modelBuilder.ApplyConfigurationsFromAssembly(Assembly.GetExecutingAssembly());
        base.OnModelCreating(modelBuilder);
    }
}