﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Mirea.Api.DataAccess.Domain.Schedule;

namespace Mirea.Api.DataAccess.Persistence.EntityTypeConfigurations.Mysql.Schedule;

public sealed class CampusConfiguration : IEntityTypeConfiguration<Campus>
{
    public void Configure(EntityTypeBuilder<Campus> builder)
    {
        builder.ToTable(nameof(Campus));
        builder.HasKey(c => c.Id);
        builder.HasIndex(c => c.Id).IsUnique();
        builder.Property(c => c.Id).HasColumnType("INT").IsRequired().ValueGeneratedOnAdd();

        builder.Property(c => c.Address).HasColumnType("VARCHAR(512)").HasMaxLength(512);
        builder.Property(c => c.CodeName).HasColumnType("VARCHAR(16)").IsRequired().HasMaxLength(16);
        builder.Property(c => c.FullName).HasColumnType("VARCHAR(256)").HasMaxLength(256);
    }
}