﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Mirea.Api.DataAccess.Domain.Schedule;

namespace Mirea.Api.DataAccess.Persistence.EntityTypeConfigurations.Mysql.Schedule;

public class FacultyConfiguration : IEntityTypeConfiguration<Faculty>
{
    public void Configure(EntityTypeBuilder<Faculty> builder)
    {
        builder.ToTable(nameof(Faculty));
        builder.HasKey(f => f.Id);
        builder.HasIndex(f => f.Id).IsUnique();
        builder.Property(f => f.Id).HasColumnType("INT").IsRequired().ValueGeneratedOnAdd();

        builder.Property(f => f.Name).HasColumnType("VARCHAR(256)").IsRequired().HasMaxLength(256);

        builder.Property(f => f.CampusId).HasColumnType("INT");

        builder
            .HasOne(f => f.Campus)
            .WithMany(c => c.Faculties)
            .HasForeignKey(c => c.CampusId)
            .OnDelete(DeleteBehavior.SetNull);
    }
}