﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Mirea.Api.DataAccess.Domain.Schedule;

namespace Mirea.Api.DataAccess.Persistence.EntityTypeConfigurations.Postgresql.Schedule;

public sealed class CampusConfiguration : IEntityTypeConfiguration<Campus>
{
    public void Configure(EntityTypeBuilder<Campus> builder)
    {
        builder.ToTable(nameof(Campus));
        builder.HasKey(c => c.Id);
        builder.HasIndex(c => c.Id).IsUnique();
        builder.Property(c => c.Id).HasColumnType("serial").IsRequired().ValueGeneratedOnAdd();

        builder.Property(c => c.Address).HasColumnType("text").HasMaxLength(512);
        builder.Property(c => c.CodeName).HasColumnType("text").IsRequired().HasMaxLength(16);
        builder.Property(c => c.FullName).HasColumnType("text").HasMaxLength(256);
    }
}