﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Mirea.Api.DataAccess.Domain.Schedule;

namespace Mirea.Api.DataAccess.Persistence.EntityTypeConfigurations.Postgresql.Schedule;

public class DisciplineConfiguration : IEntityTypeConfiguration<Discipline>
{
    public void Configure(EntityTypeBuilder<Discipline> builder)
    {
        builder.ToTable(nameof(Discipline));
        builder.HasKey(d => d.Id);
        builder.HasIndex(d => d.Id).IsUnique();
        builder.Property(d => d.Id).HasColumnType("serial").IsRequired().ValueGeneratedOnAdd();

        builder.Property(d => d.Name).HasColumnType("text").HasMaxLength(256).IsRequired();
    }
}