﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Mirea.Api.DataAccess.Domain.Schedule;

namespace Mirea.Api.DataAccess.Persistence.EntityTypeConfigurations.Postgresql.Schedule;

public class TypeOfOccupationConfiguration : IEntityTypeConfiguration<TypeOfOccupation>
{
    public void Configure(EntityTypeBuilder<TypeOfOccupation> builder)
    {
        builder.ToTable(nameof(TypeOfOccupation));
        builder.HasKey(t => t.Id);
        builder.HasIndex(t => t.Id).IsUnique();
        builder.Property(t => t.Id).HasColumnType("serial").IsRequired().ValueGeneratedOnAdd();

        builder.Property(t => t.ShortName).HasColumnType("text").IsRequired().HasMaxLength(16);
    }
}