﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Mirea.Api.DataAccess.Domain.Schedule;

namespace Mirea.Api.DataAccess.Persistence.EntityTypeConfigurations.Sqlite.Schedule;

public class SpecificWeekConfiguration : IEntityTypeConfiguration<SpecificWeek>
{
    public void Configure(EntityTypeBuilder<SpecificWeek> builder)
    {
        builder.ToTable(nameof(SpecificWeek));
        builder.HasKey(s => s.Id);
        builder.HasIndex(s => s.Id).IsUnique();
        builder.Property(s => s.Id).HasColumnType("INTEGER").IsRequired().ValueGeneratedOnAdd();

        builder.Property(s => s.WeekNumber).HasColumnType("INTEGER").IsRequired();

        builder.Property(s => s.LessonId).HasColumnType("INTEGER").IsRequired();

        builder
            .HasOne(s => s.Lesson)
            .WithMany(l => l.SpecificWeeks)
            .HasForeignKey(s => s.LessonId)
            .OnDelete(DeleteBehavior.Cascade);
    }
}